#!/bin/ksh
#
# $Id: createpatch.sh,v 1.1 2001/01/31 17:18:12 gjertsen Exp $
# $Log: createpatch.sh,v $
# Revision 1.1  2001/01/31 17:18:12  gjertsen
# Move patch scripts to tools directory.
#
# Revision 1.3  2000/06/23 22:07:31  eshel
# minor changes to messages
#
# Revision 1.2  2000/06/23  02:44:15  eshel
# use the -u option when creating diff files
#
# Revision 1.1  2000/06/22  23:02:04  eshel
# add createpatch.sh and applypatch.sh to patch linux source .h files
#
#
## ###################################################################### ##
##        Copyright IBM 1993                                              ##
## ###################################################################### ##

#set nonomatch
#set -x;
################################################
if [ $# -lt 2 ] || [ $# -gt 2 ]; then
	echo 'usage: createpatch $SRC $FILENAME'
	exit 1
fi
################################################

SRC="$1"
FILENAME="$2"

################################################

cksum $SRC/$FILENAME > ${FILENAME%.h}.diff
diff -u $SRC/$FILENAME $FILENAME >> ${FILENAME%.h}.diff

